beta (english) FW is all you need (chinese g6lite)

Discussion in 'Other Flashing Hardware & Software' started by pubjoe, Aug 7, 2006.

Aug 7, 2006
  1. pubjoe
    OP

    Member pubjoe GBAtemp Regular

    Joined:
    Jul 17, 2006
    Messages:
    110
    Country:
    United Kingdom
    Sorry if this has been discussed...

    I'm still using the beta firmware on my chinese g6lite - which allows english menus.

    I'm also using the lastest 4.1F U-disk manager.

    EVERYTHING works... Mario 3-on-3, Starfox command... I really don't see any need to update to the latest chinese-only firmware.

    It must be the U-disk updates that improve compatability with newer (troublesome) games. The firmware version does not seem to affect compatability at all.

    I think the only thing I'm missing out on is the little battery and clock icons on the G6 menu.
     
  2. XxMxVxPxX

    Member XxMxVxPxX GBAtemp Regular

    Joined:
    May 12, 2006
    Messages:
    165
    Country:
    United States
    can i have a link to the newest pc loader in english. no wonder i couldnt get mario 3-3 to work, i just diddnt want to upgrade past beta
     
  3. gaiyachu

    Newcomer gaiyachu Member

    Joined:
    Jun 22, 2006
    Messages:
    18
    Country:
    Netherlands
  4. evilreddot

    Member evilreddot GBAtemp Regular

    Joined:
    Jul 8, 2006
    Messages:
    106
    Location:
    Canadia
    Country:
    Canada
    Does anyone have the link to the beta firmware?
     
  5. Falkentyne

    Member Falkentyne GBAtemp Regular

    Joined:
    Jul 11, 2006
    Messages:
    193
    Country:
    United States
    Beta firmware isn't bad. Compressed GBA images don't work in that version, though, and there was a game that had problems with saving or something...(I think it was Rockman). (Of course GBA images are so small, you don't save that much space by compressing, anyway), although if you are low on space from NDS images, compression does help you put more GBA stuff on there...

    There was also a bug with the GBA media player....
     
  6. pubjoe
    OP

    Member pubjoe GBAtemp Regular

    Joined:
    Jul 17, 2006
    Messages:
    110
    Country:
    United Kingdom
    I'll keep an eye out for future problems but so far I haven't noticed any.

    I always tick "compress" in U-disk when I transfer a GBA game and they've worked fine so far (only tried a few though).

    I think the firmware revision is held responsible for a lot of early bugs and compatability problems, when in fact it is actually the U-disk software updates that have solved these issues. For example: I have heard of many people updating their firmware to play an "incompatable" game, when all they needed to do is just update their U-disk version (this is why I made this thread).

    Afterall, it is U-Disk which patches the rom to make it work.

    Falkentyne, Can you be sure that it is newer firmware that has solved rockman's saving issues, or could it have been fixed by a new U-Disk patch?

    If anyone can confirm that it IS rockman that has issues, I'll see if I can test it.

    Maybe I'll come across a problem (such as saving) eventually, but so far I have had 0 problems and I've been using this (A LOT) for around a month now (around 30-50 games played and saved - all fine!).

    Oh, and I can't comment on the GBA media player as I've only used the DS one (no borders).
     
  7. pubjoe
    OP

    Member pubjoe GBAtemp Regular

    Joined:
    Jul 17, 2006
    Messages:
    110
    Country:
    United Kingdom
  8. Falkentyne

    Member Falkentyne GBAtemp Regular

    Joined:
    Jul 11, 2006
    Messages:
    193
    Country:
    United States
    When I first got my G6, I used compress on all the GBA roms. But I think the G6 came with 4.1a. When I tried the beta firmware, none of the ROMS would run--white screen. When I retransferred them uncompressed, they ran fine. I think the only ones I tested were Final Fantasy 4, Zelda and a Mario advance game and (maybe) Namco Museum.

    I don't play rockman...
     
  9. dfi

    Newcomer dfi Member

    Joined:
    Jun 28, 2006
    Messages:
    17
    Country:
    United States
    I'm running the beta fw loader with the latest pc software and rockman runs and saves fine. So compatibility is definitely with the pc software and not the loader.


     

Share This Page